Retrieves the company contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "ee645b8e-0cc6-457e-a5ed-d0e24a3b7a8c",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "d8dd1b89-8169-4c3f-ac09-81ef2cbaa44e",
"company_code": "sample string 5",
"company": {
"id": "3c3aa435-af26-4ff0-beca-6e5fb160a418",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-02T04:56:19.5668504+00:00",
"sales_territory_id": "38a32377-4995-4e85-bf63-e1d7d4b6a9e8",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "1eee923c-d0f3-43df-8cff-ff7064e8e099",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "2737205f-9ac8-4e0f-b53c-66e5cbb1df2a",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "f1ccd8fc-8ce2-4a7f-8e67-af1f63aa8b60",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "127f95c0-4b2f-4b77-9f08-2495f1d88692",
"db_currency_id": "d2d481aa-1bf4-4d20-95fe-0fe547dda1c1",
"db_language_id": "feeebfba-b68a-487e-a9d9-8e9dc9f4a8d2",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T04:56:19.5668504+00:00"
},
"modified_dateutc": "2026-11-02T04:56:19.5668504+00:00"
},
"marketing_segment_id": "aad4d683-a733-42ad-ba2c-01a81c93a878",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "4f77a8dc-1c0d-4448-a68b-bc3c41d0ef54",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "c4dbfc6b-f495-41f4-81da-a68f4df1ab32",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "e2e6a43a-542c-4c98-b329-18973b287fe2",
"db_country_code": "sample string 28",
"feelist_id": "ebfdf40c-920d-40b7-8ded-ae643db3f419",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "a4c4bc95-f55c-4224-a461-98356ebb5549",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "f5b6358b-b8b9-45ed-a982-cf920fc16ef4",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-02T04:56:19.5668504+00:00",
"db_currency_id": "44f2b972-c36b-43fb-a8e9-d39d4ca0af02",
"db_currency_code": "sample string 10"
},
"company_type_id": "65967675-a6bf-4bb1-81ca-42f47208579f",
"company_type_name": "sample string 32",
"company_type": {
"id": "83896a5d-ef25-4f30-a479-10950f2f29de",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "751bd132-01db-4fb0-8b97-bcc0578257cb",
"sales_organization_code": "sample string 5"
},
"db_language_id": "818e89f6-4d92-4994-952d-8abae229c079",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "fc70f1c8-a887-48a1-9d2f-d0565cf87602",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "bf4a8484-1a6c-4a1c-9a14-7c09bab2cacd",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "13212c47-ecf6-4af1-a864-e7d4116662ce",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-02T04:56:19.5668504+00:00"
},
"company_sector_id": "19633340-5c27-40c5-be9a-406b58fecfe2",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "93ba24d9-5ef7-470e-adc4-d9b23ae3000e",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "9a1526f6-4426-4c9b-9aaf-c584a5ac18ab",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "c4faafc0-10b5-4f78-a3fc-012bda8ce637",
"account_manager_user_code": "sample string 56",
"company_status_id": "66583230-8d07-4bbb-9634-d2d0f467087e",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-02T04:56:19.5794707+00:00",
"id2": 60
},
"db_language_id": "18bfd122-4b82-4c6f-8660-1802b9c98aae",
"db_language_code": "sample string 7",
"db_title_id": "d9f74333-0332-4371-9db5-15f2af2a5ee0",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-02T04:56:19.5794707+00:00",
"create_date": "2026-11-02T04:56:19.5794707+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-02T04:56:19.5794707+00:00"
}